fasttext Namespace Reference

## Namespaces

| utils

## Classes

class | Args
class | Dictionary
struct | entry
class | FastText
class | Matrix
class | Model
struct | Node
class | ProductQuantizer
class | QMatrix
class | Vector

## Typedefs

typedef int32_t | id_type
typedef float | real

## Enumerations

enum | model_name : int { model_name::cbow =1, model_name::sg, model_name::sup }
enum | loss_name : int { loss_name::hs =1, loss_name::ns, loss_name::softmax }
enum | entry_type : int8_t { entry_type::word =0, entry_type::label =1 }

## Functions

real | distL2 (const real *x, const real *y, int32_t d)
std::ostream & | operator<< (std::ostream &os, const Vector &v)

## Detailed Description

Copyright (c) 2016-present, Facebook, Inc. All rights reserved.

This source code is licensed under the MIT-style license found in the LICENSE file in the root directory of this source tree.

## Typedef Documentation

## id_type

typedef int32_t fasttext::id_type

## real

typedef float fasttext::real

## Enumeration Type Documentation

## entry_type

enum fasttext::entry_type : int8_t

strong

Enumerator
word |
label |

## loss_name

enum fasttext::loss_name : int

strong

Enumerator
hs |
ns |
softmax |

## model_name

enum fasttext::model_name : int

strong

Enumerator
cbow |
sg |
sup |

## Function Documentation

## distL2()

real fasttext::distL2 | ( | const real * | x,
|  | const real * | y,
|  | int32_t | d
| ) |  |

## operator<<()

std::ostream & fasttext::operator<< | ( | std::ostream & | os,
|  | const Vector & | v
| ) |  |